View Issue Details

IDProjectCategoryView StatusLast Update
0016074LazarusLCLpublic2010-04-16 05:46
Reporteru-boot Assigned ToPaul Ishenin  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28 
Fixed in Version0.9.29 (SVN) 
Summary0016074: twincontrol.setshape(tbitmap) only works for the TForm
DescriptionI tried to do a Setshape for Panel and Button on the Form.

TForm.Setshape(TBitmap) works,
TPanel.Setshape(TBitmap) does not work.
TButton.SetShape does not work.


Additional InformationFile contains the modified project from examples/shapedcontrols with a picture of the result.

I don't really know if other bug-reports already contain this bug.
TagsNo tags attached.
Fixed in Revision24644
LazTarget-
WidgetsetGTK 2
Attached Files

Activities

2010-03-22 04:58

 

shapedcontrols.7z (12,508 bytes)

u-boot

2010-04-15 02:31

reporter   ~0036716

I tried setshape with todays svn -version and fpc 2.4.0

Now compiled programs are crashing by using SetShape(TBitmap).

Paul Ishenin

2010-04-16 04:59

manager   ~0036743

The test application create a Monochrome bitmap but you need 1bpp bitmap. Use ABitmap.PixelFormat := pf1bit; instead.

I also fixed panel shaping. Hope other controls will shape better too.

Anyway, please test and close if ok.

u-boot

2010-04-16 05:46

reporter   ~0036744

Thanks a lot!

Issue History

Date Modified Username Field Change
2010-03-22 04:58 u-boot New Issue
2010-03-22 04:58 u-boot File Added: shapedcontrols.7z
2010-03-22 04:58 u-boot Widgetset => GTK 2
2010-04-15 02:31 u-boot Note Added: 0036716
2010-04-16 04:59 Paul Ishenin Fixed in Revision => 24644
2010-04-16 04:59 Paul Ishenin LazTarget => -
2010-04-16 04:59 Paul Ishenin Status new => resolved
2010-04-16 04:59 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-04-16 04:59 Paul Ishenin Resolution open => fixed
2010-04-16 04:59 Paul Ishenin Assigned To => Paul Ishenin
2010-04-16 04:59 Paul Ishenin Note Added: 0036743
2010-04-16 05:46 u-boot Status resolved => closed
2010-04-16 05:46 u-boot Note Added: 0036744